"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListPresetsInput_1 = require("../shapes/ListPresetsInput");
const ListPresetsOutput_1 = require("../shapes/ListPresetsOutput");
const ValidationException_1 = require("../shapes/ValidationException");
const IncompatibleVersionException_1 = require("../shapes/IncompatibleVersionException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const InternalServiceException_1 = require("../shapes/InternalServiceException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListPresets = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListPresets",
    http: {
        method: "GET",
        requestUri: "/2012-09-25/presets"
    },
    input: {
        shape: ListPresetsInput_1.ListPresetsInput
    },
    output: {
        shape: ListPresetsOutput_1.ListPresetsOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: IncompatibleVersionException_1.IncompatibleVersionException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=ListPresets.js.map