"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _Encryption_1 = require("./_Encryption");
const _TimeSpan_1 = require("./_TimeSpan");
const _InputCaptions_1 = require("./_InputCaptions");
const _DetectedProperties_1 = require("./_DetectedProperties");
exports._JobInput = {
    type: "structure",
    required: [],
    members: {
        Key: {
            shape: {
                type: "string",
                min: 1
            }
        },
        FrameRate: {
            shape: {
                type: "string"
            }
        },
        Resolution: {
            shape: {
                type: "string"
            }
        },
        AspectRatio: {
            shape: {
                type: "string"
            }
        },
        Interlaced: {
            shape: {
                type: "string"
            }
        },
        Container: {
            shape: {
                type: "string"
            }
        },
        Encryption: {
            shape: _Encryption_1._Encryption
        },
        TimeSpan: {
            shape: _TimeSpan_1._TimeSpan
        },
        InputCaptions: {
            shape: _InputCaptions_1._InputCaptions
        },
        DetectedProperties: {
            shape: _DetectedProperties_1._DetectedProperties
        }
    }
};
//# sourceMappingURL=_JobInput.js.map